package com.hfkj.dao;

import com.hfkj.entity.CmsContent;
import com.hfkj.entity.CmsContentExample;
import java.util.List;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.DeleteProvider;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.InsertProvider;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Result;
import org.apache.ibatis.annotations.Results;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectProvider;
import org.apache.ibatis.annotations.Update;
import org.apache.ibatis.annotations.UpdateProvider;
import org.apache.ibatis.type.JdbcType;
import org.springframework.stereotype.Repository;

/**
 * 
 * 代码由工具生成,请勿修改!!!
 * 如果需要扩展请在其父类进行扩展
 * 
 **/
@Repository
public interface CmsContentMapper extends CmsContentMapperExt {
    @SelectProvider(type=CmsContentSqlProvider.class, method="countByExample")
    long countByExample(CmsContentExample example);

    @DeleteProvider(type=CmsContentSqlProvider.class, method="deleteByExample")
    int deleteByExample(CmsContentExample example);

    @Delete({
        "delete from cms_content",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int deleteByPrimaryKey(Long id);

    @Insert({
        "insert into cms_content (platform_code, code, ",
        "`name`, img, jump_type, ",
        "jump_url, appid, ",
        "create_time, update_time, ",
        "`status`, ext_1, ext_2, ",
        "ext_3)",
        "values (#{platformCode,jdbcType=VARCHAR}, #{code,jdbcType=VARCHAR}, ",
        "#{name,jdbcType=VARCHAR}, #{img,jdbcType=VARCHAR}, #{jumpType,jdbcType=INTEGER}, ",
        "#{jumpUrl,jdbcType=VARCHAR}, #{appid,jdbcType=VARCHAR}, ",
        "#{createTime,jdbcType=TIMESTAMP}, #{updateTime,jdbcType=TIMESTAMP}, ",
        "#{status,jdbcType=INTEGER}, #{ext1,jdbcType=VARCHAR}, #{ext2,jdbcType=VARCHAR}, ",
        "#{ext3,jdbcType=VARCHAR})"
    })
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insert(CmsContent record);

    @InsertProvider(type=CmsContentSqlProvider.class, method="insertSelective")
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insertSelective(CmsContent record);

    @SelectProvider(type=CmsContentSqlProvider.class, method="selectByExample")
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="platform_code", property="platformCode", jdbcType=JdbcType.VARCHAR),
        @Result(column="code", property="code", jdbcType=JdbcType.VARCHAR),
        @Result(column="name", property="name", jdbcType=JdbcType.VARCHAR),
        @Result(column="img", property="img", jdbcType=JdbcType.VARCHAR),
        @Result(column="jump_type", property="jumpType", jdbcType=JdbcType.INTEGER),
        @Result(column="jump_url", property="jumpUrl", jdbcType=JdbcType.VARCHAR),
        @Result(column="appid", property="appid", jdbcType=JdbcType.VARCHAR),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="update_time", property="updateTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    List<CmsContent> selectByExample(CmsContentExample example);

    @Select({
        "select",
        "id, platform_code, code, `name`, img, jump_type, jump_url, appid, create_time, ",
        "update_time, `status`, ext_1, ext_2, ext_3",
        "from cms_content",
        "where id = #{id,jdbcType=BIGINT}"
    })
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="platform_code", property="platformCode", jdbcType=JdbcType.VARCHAR),
        @Result(column="code", property="code", jdbcType=JdbcType.VARCHAR),
        @Result(column="name", property="name", jdbcType=JdbcType.VARCHAR),
        @Result(column="img", property="img", jdbcType=JdbcType.VARCHAR),
        @Result(column="jump_type", property="jumpType", jdbcType=JdbcType.INTEGER),
        @Result(column="jump_url", property="jumpUrl", jdbcType=JdbcType.VARCHAR),
        @Result(column="appid", property="appid", jdbcType=JdbcType.VARCHAR),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="update_time", property="updateTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    CmsContent selectByPrimaryKey(Long id);

    @UpdateProvider(type=CmsContentSqlProvider.class, method="updateByExampleSelective")
    int updateByExampleSelective(@Param("record") CmsContent record, @Param("example") CmsContentExample example);

    @UpdateProvider(type=CmsContentSqlProvider.class, method="updateByExample")
    int updateByExample(@Param("record") CmsContent record, @Param("example") CmsContentExample example);

    @UpdateProvider(type=CmsContentSqlProvider.class, method="updateByPrimaryKeySelective")
    int updateByPrimaryKeySelective(CmsContent record);

    @Update({
        "update cms_content",
        "set platform_code = #{platformCode,jdbcType=VARCHAR},",
          "code = #{code,jdbcType=VARCHAR},",
          "`name` = #{name,jdbcType=VARCHAR},",
          "img = #{img,jdbcType=VARCHAR},",
          "jump_type = #{jumpType,jdbcType=INTEGER},",
          "jump_url = #{jumpUrl,jdbcType=VARCHAR},",
          "appid = #{appid,jdbcType=VARCHAR},",
          "create_time = #{createTime,jdbcType=TIMESTAMP},",
          "update_time = #{updateTime,jdbcType=TIMESTAMP},",
          "`status` = #{status,jdbcType=INTEGER},",
          "ext_1 = #{ext1,jdbcType=VARCHAR},",
          "ext_2 = #{ext2,jdbcType=VARCHAR},",
          "ext_3 = #{ext3,jdbcType=VARCHAR}",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int updateByPrimaryKey(CmsContent record);
}